(function($, Lego){

Lego.block['b-button'] = function(){
    $(this).bind("focus blur", function(e) {
        // :focus не работает в MSIE, делаем скриптом
        $(this).find('.content').toggleClass('focus', e.type == 'focus');
    }).bind("click mousedown mouseup mouseout", function(e) {
        if ($(this).find('.content').hasClass("disabled")) {
            e.preventDefault();
        }
        else
            $(this).find('.content').toggleClass('pressed', e.type == 'mousedown');
    });
};

})(jQuery, window.Lego);
